/* ==========
	Fonts and text variants
========== */

body {
	font: $font-weight-normal $font-size-body/200% $font-family-body;
	color: $color-dark-primary;

	background-color: $color-neutral-primary;
}

h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4 {
	color: $color-dark-primary;
}

h1,
.h1 {
	font: $font-size-title-1 $font-family-title-primary;
}

h2,
.h2 {
	font: $font-size-title-2 $font-family-title-primary;
}

h3,
.h3 {
	font: $font-size-title-3 $font-family-title-secondary;
}

h4,
.h4 {
	font: $font-size-title-4 $font-family-title-secondary;
}

a {
	color: $color-accent-primary;

	&:hover {
		color: $color-accent-primary;
	}

	&:active {
		color: darken($color-accent-primary, 15%);
	}
}


// Text modifiers
.text--small {
	font-size: $font-size-smaller;
}

.text--smallest {
	font-size: $font-size-smallest;
}

.text--italic {
	font-style: italic;
}

.text--light {
	font-weight: $font-weight-light;
}

.text--bold {
	font-weight: $font-weight-bold;
}

.text--align-ctr {
	text-align: center;
}

.text--align-rt {
	text-align: right;
}